Skip to content

Appends a golden case to a suite (append-only — a fix is a new suite_version).

POST
/v1/m/evals/suites/{id}/cases
curl --request POST \
--url https://example.com/v1/m/evals/suites/example/cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "case_key": "example", "expected": "example", "input": "example", "metadata": {}, "weight": 1 }'

Appends a golden case to a suite (append-only — a fix is a new suite_version).

id
required
string

Path parameter id.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
case_key
required
string
>= 1 characters
expected
string
input
string
metadata
object
key
additional properties
any
weight
number
Example generated
{
"case_key": "example",
"expected": "example",
"input": "example",
"metadata": {},
"weight": 1
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}